| 网站首页 | 业界新闻 | 群组 | 交易 | 人才 | 下载频道 | 博客 | 代码贴 | 编程论坛
共有 563 人关注过本帖
标题:请问这个自定义异常的错误是什么?
只看楼主 加入收藏
黑曼巴爱编程
Rank: 1
等 级:新手上路
帖 子:2
专家分:0
注 册:2016-8-17
结帖率:0
  已结贴   问题点数:2  回复次数:1   
请问这个自定义异常的错误是什么?
class MyException extends Exception{
    public static void main(String[] args)
    {
           int id = 0;
           MyException(String message,int id){
               super(message);
               this.id = id;
           }
           
           int getId(){
               return id;
           }
    }
}
public class TestMyException{
    public void regist(int num) throws MyException{
        if(num < 0){
            throw new MyException("人数为负数,不合理",3);
        }  
        System.out.println("登记人数"+ num);
    }
    public void manager(){
        try{
            regist(100);
        } catch (MyException e)
        {
            System.out.println("登记失败,出错类型码=" + e.getId());
            e.printStackTrace();
        }
        System.out.println("操作结束");
    }
    public static void main(String[] args){
        TestMyException t = new TestException();
        t.manager();
    }
}
搜索更多相关主题的帖子: message  public  return  super  
2016-09-29 14:22
逆风而前
Rank: 7Rank: 7Rank: 7
来 自:福建
等 级:黑侠
威 望:7
帖 子:189
专家分:562
注 册:2013-2-14
  得分:2 
把错误信息粘贴出来,看看,才知道具体是哪一行代码出错。
2016-10-03 22:02







关于我们 | 广告合作 | 编程中国 | 清除Cookies | TOP | 手机版

编程中国 版权所有,并保留所有权利。
Powered by Discuz, Processed in 0.054553 second(s), 8 queries.
Copyright©2004-2018, BCCN.NET, All Rights Reserved